[ Maverik Level 1 typedefs ]

#

MAV_text

## Summary

Default object class ``text''.

## Syntax

    typedef struct {
      char *text;
      int style;
      int justify;
      MAV_surfaceParams *sp;
      MAV_matrix matrix;
      void *userdef;
    } MAV_text;

## Description

The text object allows 3D text to be rendered in a scene. The text, `text`, is defined in the XY plane with the tallest character being approximately 1 unit along the Y axis. The origin is halfway up the text and, depending on the value of `justify`, set to `MAV_LEFT_JUSTIFY`, `MAV_CENTRE_JUSTIFY` or `MAV_RIGHT_JUSTIFY`, is either at the left edge of the text, at its centre or at the right edge respectively. `style` can take the value `MAV_STROKE_FONT`, `MAV_OUTLINE_FONT`, or `MAV_FILLED_FONT`.

Back to the index page.